### GET /threads Source: https://developer.olx.pt/swagger/v2/partner_api.yaml Get threads ```markdown ### Parameters - **advert_id** (integer, query, optional): Advert ID - **interlocutor_id** (integer, query, optional): User ID - **offset** (integer, query, optional): Starting element - **limit** (integer, query, optional): Limit ### Responses #### 200 - Status 200 - Array of Thread ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/threads?advert_id=0&interlocutor_id=0&offset=0&limit=0" ``` ``` -------------------------------- ### GET /currencies Source: https://developer.olx.pt/swagger/v2/partner_api.yaml Get site available currencies ```markdown ### Responses #### 200 - Status 200 - Array of Currency ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/currencies" ``` ``` -------------------------------- ### GET /users-business/me Source: https://developer.olx.pt/swagger/v2/partner_api.yaml API endpoint for GET /users-business/me ```markdown ### Responses #### 200 - Status 200 **UserBusinessData** - **id** (number) - **name** (string) - **description** (string) - **subdomain** (string) - **website_url** (string) - **address** (object) - **street** (string) - **number** (string) - **postcode** (string) - **city** (string) - **phones** (array (string)) - **logo** (object) - **url** (string) - **banner** (object) ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/users-business/me" ``` ``` -------------------------------- ### GET /cities Source: https://developer.olx.pt/swagger/v2/partner_api.yaml Get list of cities ```markdown ### Parameters - **offset** (integer, query, optional): Starting element - **limit** (integer, query, optional): Elements limit per page (default 1000) ### Responses #### 200 - Status 200 - Array of City ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/cities?offset=0&limit=0" ``` ``` -------------------------------- ### GET /users/{id} Source: https://developer.olx.pt/swagger/v2/partner_api.yaml Get any User ```markdown ### Parameters - **id** (integer, path, required) ### Responses #### 200 - Status 200 **User** - **id** (integer) - **name** (string) - **avatar** (string) ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/users/{id}" ``` ``` -------------------------------- ### GET /adverts Source: https://developer.olx.pt/swagger/v2/partner_api.yaml API endpoint for GET /adverts ```markdown ### Parameters - **offset** (integer, query, optional): Offset - **limit** (integer, query, optional): Limit - **external_id** (string, query, optional): External ID - **category_ids** (string, query, optional): Comma separated list of categories IDs ### Responses #### 200 - Status 200 - **data** (array (Advert)) Array items: - **id** (integer) (required) - **status** (string (new|active|limited|removed_by_user)) (required) ("new"|"active"|"limited"|"removed_by_user") - **url** (string) (required): Advert URL in OLX - **created_at** (string) (required): Date of creation - **activated_at** (string) (required): Date of last activation - **valid_to** (string) (required) - **title** (string) (required) - **description** (string) (required) - **category_id** (number) - **advertiser_type** (string (private|business)) ("private"|"business") - **external_id** (string): Advert’s ID in origin system - **external_url** (string): Advert’s URL in origin system - **contact** (object) (required) - **name** (string) (required) - **phone** (string) (required) - **location** (object) - **city_id** (integer) (required) - **district_id** (integer) - **latitude** (number) - **longitude** (number) - **images** (array (object)) Array items: - **url** (string) - **price** (object): Used by most of the categories, i.e. cars, houses, clothes, etc. - **value** (number) - **currency** (string) - **negotiable** (boolean) - **trade** (boolean) - **budget** (boolean) - **salary** (object): Used by some of the categories, i.e. jobs. - **value_from** (number) - **value_to** (number) - **currency** (string) - **negotiable** (boolean) - **type** (string (monthly|hourly)) ("monthly"|"hourly") - **attributes** (array (object)) Array items: - **code** (string) (required): Code of an attribute - **value** (string): Filled if attribute requires single value - **values** (array (string)): Filled if attribute allows to enter multiple values - **courier** (boolean): Is delivery possible. If true that means that delivery is possible. (Available in BG, KZ, PT, RO). - **auto_extend_enabled** (boolean): Should the advert be automatically extended when it expires. - **product_safety_regulation** (object) (example: {"placed_before_2024":false,"manufacturer":{"name":"Test Manufacturer","country":"PL","address":"Test Address 123","email":"manufacturer@example.com"},"contact_person":{"name":"Contact Person","country":"PL","address":"Contact Address 456","email":"contact@example.com"},"warning_and_safety":"Handle with care. Keep away from children."}) - **placed_before_2024** (boolean): Was the product placed on the market before 2024 - **manufacturer** (object) (example: {"name":"Test Manufacturer","country":"PL","address":"Test Address 123","email":"testemail@example.com"}) - **name** (string) - **country** (string) - **address** (string) - **email** (string) - **contact_person** (object) (example: {"name":"Test Manufacturer","country":"PL","address":"Test Address 123","email":"testemail@example.com"}) - **warning_and_safety** (string): Safety and warning information ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/adverts?offset=0&limit=0&external_id=string&category_ids=string" ``` ``` -------------------------------- ### GET /languages Source: https://developer.olx.pt/swagger/v2/partner_api.yaml Get site available languages ```markdown ### Responses #### 200 - Status 200 - Array of Language ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/languages" ``` ``` -------------------------------- ### GET /threads/{threadId} Source: https://developer.olx.pt/swagger/v2/partner_api.yaml Get thread ```markdown ### Responses #### 200 - Status 200 **Thread** - **id** (integer): Thread ID - **advert_id** (integer): Advert ID - **interlocutor_id** (integer): User ID whom is conversation with - **total_count** (integer): Total count of messages in thread - **unread_count** (integer): Count of unread messages in thread - **created_at** (string (date-time)): Time when thread was created - **is_favourite** (boolean): Is this thread marked as favourite ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/threads/{threadId}" ``` ``` -------------------------------- ### GET /users/me/payment-methods Source: https://developer.olx.pt/swagger/v2/partner_api.yaml API endpoint for GET /users/me/payment-methods ```markdown ### Responses #### 200 - Status 200 - **data** (array (string)) ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/users/me/payment-methods" ``` ``` -------------------------------- ### GET /users/me/account-balance Source: https://developer.olx.pt/swagger/v2/partner_api.yaml API endpoint for GET /users/me/account-balance ```markdown ### Responses #### 200 - Status 200 **AccountBalance** - **sum** (number) (required) - **wallet** (number) (required) - **bonus** (number) (required) - **refund** (number) (required) - **currency** (string) (required) ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/users/me/account-balance" ``` ``` -------------------------------- ### GET /users/me/billing Source: https://developer.olx.pt/swagger/v2/partner_api.yaml API endpoint for GET /users/me/billing ```markdown ### Parameters - **page** (integer, query, optional): Page number, starts from 1 - **limit** (integer, query, optional): Number of results per page ### Responses #### 200 - Status 200 ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/users/me/billing?page=0&limit=0" ``` ``` -------------------------------- ### GET /categories Source: https://developer.olx.pt/swagger/v2/partner_api.yaml API endpoint for GET /categories ```markdown ### Parameters - **parent_id** (integer, query, optional): Parent category ID ### Responses #### 200 - Status 200 - Array of Category ### Example Usage ```bash curl -X GET "https://www.olx.pt/api/partner/categories?parent_id=0" ``` ```